Create completion
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/chat/inbound/http.go`.
/v1/chat/completionsRequires an authenticated tenant principal. Generated from the production route registered in internal/features/chat/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/chat/completions" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "messages": [ { "role": "system", "content": "string" } ] }'{}Apply billing top-up
Requires the dedicated billing service credential. Generated from the production route registered in `internal/features/billing/inbound/http_topups.go`.
Complete OAuth connection
Public endpoint; no credential is required. Generated from the production route registered in `internal/features/connections/inbound/http.go`.